Index: /trunk/src/paper01/fig8/shf_validation_scatter_2000_2009.pro
===================================================================
--- /trunk/src/paper01/fig8/shf_validation_scatter_2000_2009.pro	(revision 45)
+++ /trunk/src/paper01/fig8/shf_validation_scatter_2000_2009.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _shf_validation_scatter_2000_2009.pro
+; .. _shf_validation_scatter_2000_2009.pro:
 ;
 ; ====================================
@@ -9,8 +9,44 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph shf_validation_scatter_2000_2009 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       shf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_2000_2009_erai_v52.txt"];
+;       shf_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/shf_2000_2009_trop_v52.txt"];
+;       shf_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/shf_2000_2009_oaflx_v52.txt"];
+;       shf_ncep [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/shf_2000_2009_ncep_v52.txt"];
+;       shf_ncep2_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       shf_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/shf_2000_2009_ncep1_v52.txt"];
+;       shf_ncep1_2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/fluxe_ncep1_19890101_20091231.nc"];
+;       shf_erai_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_shf_19890101_20091231_oafluxgrid.nc"];
+;       shf_tropflux2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_oafluxgrid_1985_2009.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/shf_validation_scatter_2000_2009.ps"];
+;
+;       shf_validation_scatter_2000_2009 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broshfer/trunk/src/paper01/fig8/shf_validation_scatter_2000_2009.pro",
+;       label="${TROPFLUX}/src/paper01/fig8/shf_validation_scatter_2000_2009.pro"];
+;
+;       {shf_erai shf_ncep2_oafluxgrid shf_ncep1_2 shf_erai_oafluxgrid shf_tropflux2 shf_oafluxgrid} -> {shf_validation_scatter_2000_2009} -> {shf_tropflux shf_oaflux shf_ncep shf_ncep1 figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_variables_v2.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -20,7 +56,22 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> date1=++
-;  IDL> date2=++
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
 ;  IDL> shf_validation_scatter_2000_2009, date1, date2
+;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -29,4 +80,10 @@
 ; $Id$
 ;
+; - fplod 20110420T103316Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -34,14 +91,11 @@
 ;
 ;-
-pro shf_validation_scatter_2000_2009,date1,date2
-@common
-
+pro shf_validation_scatter_2000_2009, date1, date2
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-;;   1.  .r read_variables_sh
-;;   2.  .r statistics_3var_v1
 
 ;; evaluation is done for 20000101, 20091231 period
@@ -66,14 +120,14 @@
 close,/all
 
-fi_shf_erai='/Users/pkb/work/MY_SAXO/flux_automat/shf_2000_2009_erai_v52.txt'
+fi_shf_erai=tropflux_id_env+'shf_2000_2009_erai_v52.txt'
 openw,1,fi_shf_erai
-fi_shf_trop='/Users/pkb/work/MY_SAXO/flux_automat/shf_2000_2009_trop_v52.txt'
+fi_shf_trop=tropflux_id_env+'shf_2000_2009_trop_v52.txt'
 openw,2,fi_shf_trop
-fi_shf_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/shf_2000_2009_oaflx_v52.txt'
+fi_shf_oaflx=tropflux_id_env+'shf_2000_2009_oaflx_v52.txt'
 openw,3,fi_shf_oaflx
-fi_shf_ncep='/Users/pkb/work/MY_SAXO/flux_automat/shf_2000_2009_ncep_v52.txt'
+fi_shf_ncep=tropflux_id_env+'shf_2000_2009_ncep_v52.txt'
 openw,4,fi_shf_ncep
 
-fi_shf_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/shf_2000_2009_ncep1_v52.txt'
+fi_shf_ncep1=tropflux_id_env+'shf_2000_2009_ncep1_v52.txt'
 openw,5,fi_shf_ncep1
 
@@ -87,10 +141,10 @@
 ;; first reading the whole ERAI uncorrected and corrected data
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_shf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 unc=read_ncdf('shf',date1,date2,file=file,/nostr)
 help, unc
 
-file='/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_19890101_20091231_v51.nc'
+file=tropflux_id_env+'TropFlux_19890101_20091231_v51.nc'
 initncdf, file
 cor=read_ncdf('shf',date1,date2,file=file,/nostr)
@@ -98,15 +152,15 @@
 help, cor
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/shf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
 oaf=read_ncdf("shf", date1, date2, file=file,/nostr)
 help, oaf
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/shf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 nce=read_ncdf("shf", date1, date2, file=fi,/nostr)
 help, nce
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/fluxe_ncep1_19890101_20091231.nc'
+file=tropflux_id_env+'fluxe_ncep1_19890101_20091231.nc'
 initncdf, file
 nce1=-1*read_ncdf("shf", date1, date2, file=file,/nostr)
@@ -114,6 +168,4 @@
 
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -176,5 +228,5 @@
 close,/all
 
-fi_shf_erai='/Users/pkb/work/MY_SAXO/flux_automat/shf_2000_2009_erai_v52.txt'
+fi_shf_erai=tropflux_id_env+'shf_2000_2009_erai_v52.txt'
 res=read_ascii(fi_shf_erai,data_start=1)
 ff=res.field1
@@ -208,5 +260,5 @@
 
 
-fi_shf_trop='/Users/pkb/work/MY_SAXO/flux_automat/shf_2000_2009_trop_v52.txt'
+fi_shf_trop=tropflux_id_env+'shf_2000_2009_trop_v52.txt'
 res=read_ascii(fi_shf_trop,data_start=1)
 ff=res.field1
@@ -240,5 +292,5 @@
 
 
-fi_shf_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/shf_2000_2009_oaflx_v52.txt'
+fi_shf_oaflx=tropflux_id_env+'shf_2000_2009_oaflx_v52.txt'
 res=read_ascii(fi_shf_oaflx,data_start=1)
 ff=res.field1
@@ -271,5 +323,5 @@
 oplot, [-5,25], [-5,25]
 
-fi_shf_ncep='/Users/pkb/work/MY_SAXO/flux_automat/shf_2000_2009_ncep_v52.txt'
+fi_shf_ncep=tropflux_id_env+'shf_2000_2009_ncep_v52.txt'
 res=read_ascii(fi_shf_ncep,data_start=1)
 ff=res.field1
@@ -302,5 +354,5 @@
 oplot, [-5,25], [-5,25]
 
-fi_shf_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/shf_2000_2009_ncep1_v52.txt'
+fi_shf_ncep1=tropflux_id_env+'shf_2000_2009_ncep1_v52.txt'
 res=read_ascii(fi_shf_ncep1,data_start=1)
 ff=res.field1
@@ -335,46 +387,6 @@
 closeps
 
-fig='shf_validation_scatter_2000_2009.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'shf_validation_scatter_2000_2009.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
Index: /trunk/src/paper01/fig9/lwr_validation_scatter_2000_2007.pro
===================================================================
--- /trunk/src/paper01/fig9/lwr_validation_scatter_2000_2007.pro	(revision 45)
+++ /trunk/src/paper01/fig9/lwr_validation_scatter_2000_2007.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _lwr_validation_scatter_2000_2007.pro
+; .. _lwr_validation_scatter_2000_2007.pro:
 ;
 ; ====================================
@@ -9,4 +9,34 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph lwr_validation_scatter_2000_2007 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       lwr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_2000_2007_erai.txt"];
+;       lwr_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/lwr_2000_2007_trop.txt"];
+;       lwr_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/lwr_2000_2007_oaflx.txt"];
+;       lwr_ncep [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/lwr_2000_2007_ncep.txt"];
+;       lwr_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/lwr_2000_2007_ncep1.txt"];
+;       lwr_ncep1_2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/fluxe_ncep1_19890101_20091231.nc"];
+;       lwr_clark [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_2000_2007_clark.txt"];
+;       lwr_erai_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc"];
+;       lwr_tropflux2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_lwr_19890101_20091231.nc"];
+;       lwr_tropflux3 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_oafluxgrid_1985_2007.nc"];
+;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/NCEP2_flux_19890101_20090729.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/lwr_validation_scatter_2000_2007.ps"];
+;
+;       lwr_validation_scatter_2000_2007 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/brolwrer/trunk/src/paper01/fig9/lwr_validation_scatter_2000_2007.pro",
+;       label="${TROPFLUX}/src/paper01/fig9/lwr_validation_scatter_2000_2007.pro"];
+;
+;       {lwr_erai lwr_nceplwr_ncep1 lwr_ncep1_2 lwr_clark lwr_erai_oafluxgrid lwr_tropflux2 lwr_tropflux3 lwr_oafluxgrid lwr_ncep2} -> {lwr_validation_scatter_2000_2007} -> {lwr_tropflux lwr_oaflux lwr_ncep lwr_ncep1 figure}
+;    }
+;
 ; SEE ALSO
 ; ========
@@ -14,4 +44,13 @@
 ; :ref:`tropflux_profile.sh`
 ;
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_lw_global_v2.pro`
+; :ref:`statistics_3var_v1.pro`
+;
 ; EXAMPLES
 ; ========
@@ -20,7 +59,22 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> date1=++
-;  IDL> date2=++
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
 ;  IDL> lwr_validation_scatter_2000_2007, date1, date2
+;
+; TODO
+; ====
+;
+; mùake it work on cratos : missing data
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -29,4 +83,10 @@
 ; $Id$
 ;
+; - fplod 20110420T104246Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -34,15 +94,11 @@
 ;
 ;-
-pro lwr_validation_scatter_2000_2007,date1,date2
-@common
-
+pro lwr_validation_scatter_2000_2007, date1, date2
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-;;   1.  .r read_lw_global_v2
-;;   2.  .r statistics_3var_v1
-
 ;; evaluation is done for 20000101-20071231 period
 
@@ -70,15 +126,15 @@
 close,/all
 
-fi_lwr_erai='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_erai.txt'
+fi_lwr_erai=tropflux_id_env+'lwr_2000_2007_erai.txt'
 openw,1,fi_lwr_erai
-fi_lwr_trop='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_trop.txt'
+fi_lwr_trop=tropflux_id_env+'lwr_2000_2007_trop.txt'
 openw,2,fi_lwr_trop
-fi_lwr_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_oaflx.txt'
+fi_lwr_oaflx=tropflux_id_env+'lwr_2000_2007_oaflx.txt'
 openw,3,fi_lwr_oaflx
-fi_lwr_ncep='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_ncep.txt'
+fi_lwr_ncep=tropflux_id_env+'lwr_2000_2007_ncep.txt'
 openw,4,fi_lwr_ncep
-fi_lwr_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_ncep1.txt'
+fi_lwr_ncep1=tropflux_id_env+'lwr_2000_2007_ncep1.txt'
 openw,5,fi_lwr_ncep1
-fi_lwr_clark='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_clark.txt'
+fi_lwr_clark=tropflux_id_env+'lwr_2000_2007_clark.txt'
 openw,6,fi_lwr_clark
 
@@ -92,30 +148,30 @@
 ;; first reading the whole ERAI uncorrected and corrected data
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/gridded_data/erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc'
+file=tropflux_id_env+'erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc'
 initncdf, file
 unc=read_ncdf('lwr',date1,date2,file=file,/nostr)
 help, unc
 
-file="/Volumes/Sanathana/TropFlux_data/TropFlux_lwr_19890101_20091231.nc"
-initncdf, file
+file=tropflux_id_env+'TropFlux_lwr_19890101_20091231.nc"
+initncda, file
 cor=read_ncdf('lwr',date1,date2,file=file,/nostr) & cor=-1*cor
 help, cor
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lwr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
 oaf=read_ncdf("lwr", date1, date2, file=file,/nostr)
 help, oaf
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/NCEP2_flux_19890101_20090729.nc'
+fi=tropflux_id_env+'NCEP2_flux_19890101_20090729.nc'
 initncdf, fi
 nce=read_ncdf("lwr", date1, date2, file=fi,/nostr) ;;  & nce=-1*nce
 help, nce
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/fluxe_ncep1_19890101_20091231.nc'
+file=tropflux_id_env+'fluxe_ncep1_19890101_20091231.nc'
 initncdf, file
 nce1=-1*read_ncdf("lwr", date1, date2, file=file,/nostr)
 help, nce1
 
-file='/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_19890101_20091231.nc'
+file=tropflux_id_env+'TropFlux_19890101_20091231.nc'
 initncdf, file
 clark=-1*read_ncdf("lwr", date1, date2, file=file,/nostr)
@@ -123,6 +179,4 @@
 
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -191,5 +245,5 @@
 close,/all
 
-fi_lwr_erai='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_erai.txt'
+fi_lwr_erai=tropflux_id_env+'lwr_2000_2007_erai.txt'
 res=read_ascii(fi_lwr_erai,data_start=1)
 ff=res.field1
@@ -224,5 +278,5 @@
 significance_test, mean_tao, mean_erai
 
-fi_lwr_trop='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_trop.txt'
+fi_lwr_trop=tropflux_id_env+'lwr_2000_2007_trop.txt'
 res=read_ascii(fi_lwr_trop,data_start=1)
 ff=res.field1
@@ -257,5 +311,5 @@
 significance_test, mean_tao, mean_trop
 
-fi_lwr_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_oaflx.txt'
+fi_lwr_oaflx=tropflux_id_env+'lwr_2000_2007_oaflx.txt'
 res=read_ascii(fi_lwr_oaflx,data_start=1)
 ff=res.field1
@@ -290,5 +344,5 @@
 significance_test, mean_tao, mean_oaf
 
-fi_lwr_ncep='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_ncep.txt'
+fi_lwr_ncep=tropflux_id_env+'lwr_2000_2007_ncep.txt'
 res=read_ascii(fi_lwr_ncep,data_start=1)
 ff=res.field1
@@ -323,5 +377,5 @@
 significance_test, mean_tao, mean_nce
 
-fi_lwr_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_ncep1.txt'
+fi_lwr_ncep1=tropflux_id_env+'lwr_2000_2007_ncep1.txt'
 res=read_ascii(fi_lwr_ncep1,data_start=1)
 ff=res.field1
@@ -356,5 +410,5 @@
 significance_test, mean_tao, mean_nce
 
-fi_lwr_clark='/Users/pkb/work/MY_SAXO/flux_automat/lwr_2000_2007_clark.txt'
+fi_lwr_clark=tropflux_id_env+'lwr_2000_2007_clark.txt'
 res=read_ascii(fi_lwr_clark,data_start=1)
 ff=res.field1
@@ -391,46 +445,6 @@
 closeps
 
-fig='lwr_validation_scatter_2000_2007.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'lwr_validation_scatter_2000_2007.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
Index: /trunk/src/paper01/fig9/swr_validation_scatter_2000_2007.pro
===================================================================
--- /trunk/src/paper01/fig9/swr_validation_scatter_2000_2007.pro	(revision 45)
+++ /trunk/src/paper01/fig9/swr_validation_scatter_2000_2007.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _swr_validation_scatter_2000_2007.pro
+; .. _swr_validation_scatter_2000_2007.pro:
 ;
 ; ====================================
@@ -9,8 +9,46 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph swr_validation_scatter_2000_2007 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       swr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_2000_2007_erai_v50.txt"];
+;       swr_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/swr_2000_2007_trop_v50.txt"];
+;       swr_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/swr_2000_2007_oaflx_v50.txt"];
+;       swr_ncep [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/swr_2000_2007_ncep_v50.txt"];
+;       swr_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/swr_2000_2007_ncep1_v50.txt"];
+;       swr_olr [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/swr_2000_2007_olr_v50.txt"];
+;       swr_ncep1_2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/fluxe_ncep1_19890101_20091231.nc"];
+;       swr_erai_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_fluxes_20000101_20090801_TROP_oafluxgrid.nc"];
+;       swr_tropflux2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_swr_19890101_20091231_DT_v51.nc"];
+;       swr_tropflux3 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_oafluxgrid_1985_2007.nc"];
+;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/swr_validation_scatter_2000_2007.ps"];
+;
+;       swr_validation_scatter_2000_2007 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig9/swr_validation_scatter_2000_2007.pro",
+;       label="${TROPFLUX}/src/paper01/fig9/swr_validation_scatter_2000_2007.pro"];
+;
+;       {swr_erai swr_ncep1_2 swr_erai_oafluxgrid swr_tropflux2 swr_tropflux3 swr_oafluxgrid swr_ncep2} -> {swr_validation_scatter_2000_2007} -> {swr_tropflux swr_oaflux swr_ncep swr_olr swr_ncep1 figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_global_sw_v50.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -20,7 +58,22 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> date1=++
-;  IDL> date2=++
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
 ;  IDL> swr_validation_scatter_2000_2007, date1, date2
+;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -29,4 +82,10 @@
 ; $Id$
 ;
+; - fplod 20110420T105004Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -35,13 +94,10 @@
 ;-
 pro swr_validation_scatter_2000_2007, date1, date2
-@common
-
+@cm_genral
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-;;   1.  .r read_global_sw_v50
-;;   2.  .r statistics_3var_v1
 
 ;; evaluation is done for 20000101-20071231 period
@@ -68,15 +124,15 @@
 close,/all
 
-fi_swr_erai='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_erai_v50.txt'
+fi_swr_erai=tropflux_id_env+'swr_2000_2007_erai_v50.txt'
 openw,1,fi_swr_erai
-fi_swr_trop='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_trop_v50.txt'
+fi_swr_trop=tropflux_id_env+'swr_2000_2007_trop_v50.txt'
 openw,2,fi_swr_trop
-fi_swr_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_oaflx_v50.txt'
+fi_swr_oaflx=tropflux_id_env+'swr_2000_2007_oaflx_v50.txt'
 openw,3,fi_swr_oaflx
-fi_swr_ncep='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_ncep_v50.txt'
+fi_swr_ncep=tropflux_id_env+'swr_2000_2007_ncep_v50.txt'
 openw,4,fi_swr_ncep
-fi_swr_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_ncep1_v50.txt'
+fi_swr_ncep1=tropflux_id_env+'swr_2000_2007_ncep1_v50.txt'
 openw,5,fi_swr_ncep1
-fi_swr_olr='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_olr_v50.txt'
+fi_swr_olr=tropflux_id_env+'swr_2000_2007_olr_v50.txt'
 openw,6,fi_swr_olr
 
@@ -91,36 +147,34 @@
 ;; first reading the whole ERAI uncorrected and corrected data
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/gridded_data/erai_fluxes_20000101_20090801_TROP_oafluxgrid.nc'
+file=tropflux_id_env+'erai_fluxes_20000101_20090801_TROP_oafluxgrid.nc'
 initncdf, file
 unc=read_ncdf('swr',date1,date2,file=file,/nostr) & unc=-1*unc
 help, unc
 
-file='/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20071231_DT_v51.nc'
+file=tropflux_id_env+'TropFlux_swr_19890101_20071231_DT_v51.nc'
 initncdf, file
 cor=read_ncdf('swr',date1,date2,file=file,/nostr)
 help, cor
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
 oaf=read_ncdf("swr", date1, date2, file=file,/nostr)
 help, oaf
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/swr_ncep2_oaflxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
 nce=read_ncdf("swr", date1, date2, file=fi,/nostr) & nce=0.94*nce
 help, nce
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/fluxe_ncep1_19890101_20091231.nc'
+file=tropflux_id_env+'fluxe_ncep1_19890101_20091231.nc'
 initncdf, file
 nce1=read_ncdf("swr", date1, date2, file=file,/nostr)
 help, nce1
 
-file='/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc'
+file=tropflux_id_env+'TropFlux_swr_19890101_20091231_NRT_v50.nc'
 initncdf, file
 sw_olr=read_ncdf("sw", date1-1, date2, file=file,/nostr)
 help, sw_olr
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -190,5 +244,5 @@
 close,/all
 
-fi_swr_erai='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_erai_v50.txt'
+fi_swr_erai=tropflux_id_env+'swr_2000_2007_erai_v50.txt'
 res=read_ascii(fi_swr_erai,data_start=1)
 ff=res.field1
@@ -222,5 +276,5 @@
 
 
-fi_swr_trop='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_trop_v50.txt'
+fi_swr_trop=tropflux_id_env+'swr_2000_2007_trop_v50.txt'
 res=read_ascii(fi_swr_trop,data_start=1)
 ff=res.field1
@@ -254,5 +308,5 @@
 
 
-fi_swr_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_oaflx_v50.txt'
+fi_swr_oaflx=tropflux_id_env+'swr_2000_2007_oaflx_v50.txt'
 res=read_ascii(fi_swr_oaflx,data_start=1)
 ff=res.field1
@@ -286,5 +340,5 @@
 
 
-fi_swr_ncep='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_ncep_v50.txt'
+fi_swr_ncep=tropflux_id_env+'swr_2000_2007_ncep_v50.txt'
 res=read_ascii(fi_swr_ncep,data_start=1)
 ff=res.field1
@@ -318,5 +372,5 @@
 
 
-fi_swr_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_ncep1_v50.txt'
+fi_swr_ncep1=tropflux_id_env+'swr_2000_2007_ncep1_v50.txt'
 res=read_ascii(fi_swr_ncep1,data_start=1)
 ff=res.field1
@@ -350,5 +404,5 @@
 
 
-fi_swr_olr='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2007_olr_v50.txt'
+fi_swr_olr=tropflux_id_env+'swr_2000_2007_olr_v50.txt'
 res=read_ascii(fi_swr_olr,data_start=1)
 ff=res.field1
@@ -384,46 +438,6 @@
 closeps
 
-fig='swr_validation_scatter_2000_2007.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'swr_validation_scatter_2000_2007.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
